Bug 846879 - Review Request: python-editdist - CPython module to quickly calculate Levenshtein's edit distance
Review Request: python-editdist - CPython module to quickly calculate Levensh...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 22:02 EDT by Paul Wouters
Modified: 2012-08-28 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 05:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-08-08 22:02:27 EDT
Spec URL: ftp://ftp.nohats.ca/python-editdist/python-editdist.spec
SRPM URL: ftp://ftp.nohats.ca/python-editdist/python-editdist-0.3-2.src.rpm
Description: "editdist" is a CPython module that calculates the Levenshtein edit
distance between two strings. 
Fedora Account System Username: pwouters
Comment 1 Patrick Uiterwijk 2012-08-09 10:37:32 EDT
I will review this one.
Comment 2 Patrick Uiterwijk 2012-08-09 10:46:03 EDT
The first things I notice when looking at it (formal review will come later today):

1. You use both %{version} and $RPM_BUILD_ROOT, so inconsistent variable style usage.

2. The first changelog entry ("* Wed Jul 05 2006 Damien Miller <djm@mindrot.org>") is not in the correct format: it is missing the version number.

3. The Url field should be in complete capitals, so "URL".
Comment 3 Patrick Uiterwijk 2012-08-09 15:53:26 EDT
The last thing I noted is that the license file seems more like the ISC license then BSD.
Also the license headers in the files seem like ISC to me.
Comment 4 Patrick Uiterwijk 2012-08-09 16:07:56 EDT
Except for those things, I can't find any problems with that.


I trust you will fix these issues before pushing, so this package is

APPROVED
Comment 5 Paul Wouters 2012-08-09 16:57:03 EDT
Spec URL: ftp://ftp.nohats.ca/python-editdist/python-editdist.spec
SRPM URL: ftp://ftp.nohats.ca/python-editdist/python-editdist-0.3-3.src.rpm


* Thu Aug 09 2012 Paul Wouters <pwouters@redhat.com> - 0.3-3
- Fix mixed macros, license, changelog and url fields
Comment 6 Paul Wouters 2012-08-09 17:00:06 EDT
Here is the fedora-review output for reference


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):python-
     editdist-0.3-3.x86_64.rpm : /usr/lib64/python2.7/site-
     packages/editdist.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.

[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC" For detailed output of licensecheck see file: /vol/home/paul/846879
     -python-editdist/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.

     Note: Source0 (py-editdist-0.3.tar.gz)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-editdist-debuginfo-0.3-3.x86_64.rpm
          python-editdist-0.3-3.x86_64.rpm
          python-editdist-0.3-3.src.rpm
python-editdist.x86_64: W: spelling-error Summary(en_US) CPython -> C Python, Python, Pynchon
python-editdist.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/editdist.so editdist.so()(64bit)
python-editdist.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/editdist.so 0775L
python-editdist.src: W: spelling-error Summary(en_US) CPython -> C Python, Python, Pynchon
3 packages and 0 specfiles checked; 1 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-editdist-debuginfo-0.3-3.x86_64.rpm (rpmlib, GLIBC filtered):


python-editdist-0.3-3.x86_64.rpm (rpmlib, GLIBC filtered):

    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi) = 2.7
    rtld(GNU_HASH)

Provides
--------
python-editdist-debuginfo-0.3-3.x86_64.rpm:

    python-editdist-debuginfo = 0.3-3
    python-editdist-debuginfo(x86-64) = 0.3-3

python-editdist-0.3-3.x86_64.rpm:

    editdist.so()(64bit)
    python-editdist = 0.3-3
    python-editdist(x86-64) = 0.3-3

MD5-sum check
-------------
http://py-editdist.googlecode.com/files/py-editdist-0.3.tar.gz :
  MD5SUM this package     : 8d6697145ae21a78a5a817cadeedb1ea
  MD5SUM upstream package : 8d6697145ae21a78a5a817cadeedb1ea


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 846879
External plugins:
Comment 7 Paul Wouters 2012-08-09 17:04:20 EDT
I'll add the missing dist tag in the initial package

New Package SCM Request
=======================
Package Name: python-editdist
Short Description: "editdist" is a CPython module that calculates the Levenshtein edit distance between two strings. 
Owners: pwouters
Branches: f18, f17, el6
InitialCC:
Comment 8 Paul Wouters 2012-08-09 17:33:21 EDT
For completeness sake:

* Thu Aug 09 2012 Paul Wouters <pwouters@redhat.com> - 0.3-4
- Added dist tag
- Added check section.


Spec URL: ftp://ftp.nohats.ca/python-editdist/python-editdist.spec
SRPM URL: ftp://ftp.nohats.ca/python-editdist/python-editdist-0.3-4.src.rpm
Comment 9 Gwyn Ciesla 2012-08-09 19:22:02 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-08-10 16:16:49 EDT
python-editdist-0.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-editdist-0.3-4.fc17
Comment 11 Fedora Update System 2012-08-10 16:17:24 EDT
python-editdist-0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-editdist-0.3-4.el6
Comment 12 Fedora Update System 2012-08-12 22:20:50 EDT
python-editdist-0.3-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 13 Fedora Update System 2012-08-21 05:57:52 EDT
python-editdist-0.3-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-08-28 12:57:50 EDT
python-editdist-0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.